import { XmlParserTsRootElementBaseType } from "@kie-tools/xml-parser-ts";
export declare type BPMN20__tAdHocOrdering = 'Parallel' | 'Sequential';
export declare type BPMN20__tAssociationDirection = 'None' | 'One' | 'Both';
export declare type BPMN20__tChoreographyLoopType = 'None' | 'Standard' | 'MultiInstanceSequential' | 'MultiInstanceParallel';
export declare type BPMN20__tEventBasedGatewayType = 'Exclusive' | 'Parallel';
export declare type BPMN20__tGatewayDirection = 'Unspecified' | 'Converging' | 'Diverging' | 'Mixed';
export declare type BPMN20__tImplementation = string;
export declare type BPMN20__tItemKind = 'Information' | 'Physical';
export declare type BPMN20__tMultiInstanceFlowCondition = 'None' | 'One' | 'All' | 'Complex';
export declare type BPMN20__tProcessType = 'None' | 'Public' | 'Private';
export declare type BPMN20__tRelationshipDirection = 'None' | 'Forward' | 'Backward' | 'Both';
export declare type BPMN20__tTransactionMethod = string;
export declare type BPMNDI__ParticipantBandKind = 'top_initiating' | 'middle_initiating' | 'bottom_initiating' | 'top_non_initiating' | 'middle_non_initiating' | 'bottom_non_initiating';
export declare type BPMNDI__MessageVisibleKind = 'initiating' | 'non_initiating';
export interface BPMN20__tDefinitions extends XmlParserTsRootElementBaseType {
    __?: undefined;
    "@_id"?: string;
    "@_name"?: string;
    "@_targetNamespace": string;
    "@_expressionLanguage"?: string;
    "@_typeLanguage"?: string;
    "@_exporter"?: string;
    "@_exporterVersion"?: string;
    "import"?: BPMN20__tImport[];
    "extension"?: BPMN20__tExtension[];
    "rootElement"?: (({
        __$$element: "category";
    } & BPMN20__tCategory) | ({
        __$$element: "globalChoreographyTask";
    } & BPMN20__tGlobalChoreographyTask) | ({
        __$$element: "globalConversation";
    } & BPMN20__tGlobalConversation) | ({
        __$$element: "correlationProperty";
    } & BPMN20__tCorrelationProperty) | ({
        __$$element: "dataStore";
    } & BPMN20__tDataStore) | ({
        __$$element: "endPoint";
    } & BPMN20__tEndPoint) | ({
        __$$element: "error";
    } & BPMN20__tError) | ({
        __$$element: "escalation";
    } & BPMN20__tEscalation) | ({
        __$$element: "cancelEventDefinition";
    } & BPMN20__tCancelEventDefinition) | ({
        __$$element: "compensateEventDefinition";
    } & BPMN20__tCompensateEventDefinition) | ({
        __$$element: "conditionalEventDefinition";
    } & BPMN20__tConditionalEventDefinition) | ({
        __$$element: "errorEventDefinition";
    } & BPMN20__tErrorEventDefinition) | ({
        __$$element: "escalationEventDefinition";
    } & BPMN20__tEscalationEventDefinition) | ({
        __$$element: "linkEventDefinition";
    } & BPMN20__tLinkEventDefinition) | ({
        __$$element: "messageEventDefinition";
    } & BPMN20__tMessageEventDefinition) | ({
        __$$element: "signalEventDefinition";
    } & BPMN20__tSignalEventDefinition) | ({
        __$$element: "terminateEventDefinition";
    } & BPMN20__tTerminateEventDefinition) | ({
        __$$element: "timerEventDefinition";
    } & BPMN20__tTimerEventDefinition) | ({
        __$$element: "globalBusinessRuleTask";
    } & BPMN20__tGlobalBusinessRuleTask) | ({
        __$$element: "globalManualTask";
    } & BPMN20__tGlobalManualTask) | ({
        __$$element: "globalScriptTask";
    } & BPMN20__tGlobalScriptTask) | ({
        __$$element: "globalTask";
    } & BPMN20__tGlobalTask) | ({
        __$$element: "globalUserTask";
    } & BPMN20__tGlobalUserTask) | ({
        __$$element: "interface";
    } & BPMN20__tInterface) | ({
        __$$element: "itemDefinition";
    } & BPMN20__tItemDefinition) | ({
        __$$element: "message";
    } & BPMN20__tMessage) | ({
        __$$element: "partnerEntity";
    } & BPMN20__tPartnerEntity) | ({
        __$$element: "partnerRole";
    } & BPMN20__tPartnerRole) | ({
        __$$element: "process";
    } & BPMN20__tProcess) | ({
        __$$element: "resource";
    } & BPMN20__tResource) | ({
        __$$element: "signal";
    } & BPMN20__tSignal))[];
    "bpmndi:BPMNDiagram"?: BPMNDI__BPMNDiagram[];
    "relationship"?: BPMN20__tRelationship[];
}
export declare type BPMN20__tImport = {
    "@_namespace": string;
    "@_location": string;
    "@_importType": string;
};
export interface BPMN20__tActivity {
    __?: undefined;
    "@_isForCompensation"?: boolean;
    "@_startQuantity"?: number;
    "@_completionQuantity"?: number;
    "@_default"?: string;
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "property"?: BPMN20__tProperty[];
    "dataInputAssociation"?: BPMN20__tDataInputAssociation[];
    "dataOutputAssociation"?: BPMN20__tDataOutputAssociation[];
    "resourceRole"?: (({
        __$$element: "humanPerformer";
    } & BPMN20__tHumanPerformer) | ({
        __$$element: "potentialOwner";
    } & BPMN20__tPotentialOwner))[];
    "loopCharacteristics"?: (({
        __$$element: "multiInstanceLoopCharacteristics";
    } & BPMN20__tMultiInstanceLoopCharacteristics) | ({
        __$$element: "standardLoopCharacteristics";
    } & BPMN20__tStandardLoopCharacteristics));
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tAdHocSubProcess {
    __?: undefined;
    "@_cancelRemainingInstances"?: boolean;
    "@_ordering"?: BPMN20__tAdHocOrdering;
    "completionCondition"?: BPMN20__tExpression;
    "@_triggeredByEvent"?: boolean;
    "laneSet"?: BPMN20__tLaneSet[];
    "flowElement"?: (({
        __$$element: "adHocSubProcess";
    } & BPMN20__tAdHocSubProcess) | ({
        __$$element: "boundaryEvent";
    } & BPMN20__tBoundaryEvent) | ({
        __$$element: "businessRuleTask";
    } & BPMN20__tBusinessRuleTask) | ({
        __$$element: "callActivity";
    } & BPMN20__tCallActivity) | ({
        __$$element: "callChoreography";
    } & BPMN20__tCallChoreography) | ({
        __$$element: "choreographyTask";
    } & BPMN20__tChoreographyTask) | ({
        __$$element: "complexGateway";
    } & BPMN20__tComplexGateway) | ({
        __$$element: "dataObject";
    } & BPMN20__tDataObject) | ({
        __$$element: "dataObjectReference";
    } & BPMN20__tDataObjectReference) | ({
        __$$element: "dataStoreReference";
    } & BPMN20__tDataStoreReference) | ({
        __$$element: "endEvent";
    } & BPMN20__tEndEvent) | ({
        __$$element: "event";
    } & BPMN20__tEvent) | ({
        __$$element: "eventBasedGateway";
    } & BPMN20__tEventBasedGateway) | ({
        __$$element: "exclusiveGateway";
    } & BPMN20__tExclusiveGateway) | ({
        __$$element: "implicitThrowEvent";
    } & BPMN20__tImplicitThrowEvent) | ({
        __$$element: "inclusiveGateway";
    } & BPMN20__tInclusiveGateway) | ({
        __$$element: "intermediateCatchEvent";
    } & BPMN20__tIntermediateCatchEvent) | ({
        __$$element: "intermediateThrowEvent";
    } & BPMN20__tIntermediateThrowEvent) | ({
        __$$element: "manualTask";
    } & BPMN20__tManualTask) | ({
        __$$element: "parallelGateway";
    } & BPMN20__tParallelGateway) | ({
        __$$element: "receiveTask";
    } & BPMN20__tReceiveTask) | ({
        __$$element: "scriptTask";
    } & BPMN20__tScriptTask) | ({
        __$$element: "sendTask";
    } & BPMN20__tSendTask) | ({
        __$$element: "sequenceFlow";
    } & BPMN20__tSequenceFlow) | ({
        __$$element: "serviceTask";
    } & BPMN20__tServiceTask) | ({
        __$$element: "startEvent";
    } & BPMN20__tStartEvent) | ({
        __$$element: "subChoreography";
    } & BPMN20__tSubChoreography) | ({
        __$$element: "subProcess";
    } & BPMN20__tSubProcess) | ({
        __$$element: "task";
    } & BPMN20__tTask) | ({
        __$$element: "transaction";
    } & BPMN20__tTransaction) | ({
        __$$element: "userTask";
    } & BPMN20__tUserTask))[];
    "artifact"?: (({
        __$$element: "association";
    } & BPMN20__tAssociation) | ({
        __$$element: "group";
    } & BPMN20__tGroup) | ({
        __$$element: "textAnnotation";
    } & BPMN20__tTextAnnotation))[];
    "@_isForCompensation"?: boolean;
    "@_startQuantity"?: number;
    "@_completionQuantity"?: number;
    "@_default"?: string;
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "property"?: BPMN20__tProperty[];
    "dataInputAssociation"?: BPMN20__tDataInputAssociation[];
    "dataOutputAssociation"?: BPMN20__tDataOutputAssociation[];
    "resourceRole"?: (({
        __$$element: "humanPerformer";
    } & BPMN20__tHumanPerformer) | ({
        __$$element: "potentialOwner";
    } & BPMN20__tPotentialOwner))[];
    "loopCharacteristics"?: (({
        __$$element: "multiInstanceLoopCharacteristics";
    } & BPMN20__tMultiInstanceLoopCharacteristics) | ({
        __$$element: "standardLoopCharacteristics";
    } & BPMN20__tStandardLoopCharacteristics));
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tArtifact {
    __?: undefined;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tAssignment {
    __?: undefined;
    "from": BPMN20__tExpression;
    "to": BPMN20__tExpression;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tAssociation {
    __?: undefined;
    "@_sourceRef": string;
    "@_targetRef": string;
    "@_associationDirection"?: BPMN20__tAssociationDirection;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tAuditing {
    __?: undefined;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tBaseElement {
    __?: undefined;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tBaseElementWithMixedContent {
    __?: undefined;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tBoundaryEvent {
    __?: undefined;
    "@_cancelActivity"?: boolean;
    "@_attachedToRef": string;
    "@_parallelMultiple"?: boolean;
    "dataOutput"?: BPMN20__tDataOutput[];
    "dataOutputAssociation"?: BPMN20__tDataOutputAssociation[];
    "outputSet"?: BPMN20__tOutputSet;
    "eventDefinition"?: (({
        __$$element: "cancelEventDefinition";
    } & BPMN20__tCancelEventDefinition) | ({
        __$$element: "compensateEventDefinition";
    } & BPMN20__tCompensateEventDefinition) | ({
        __$$element: "conditionalEventDefinition";
    } & BPMN20__tConditionalEventDefinition) | ({
        __$$element: "errorEventDefinition";
    } & BPMN20__tErrorEventDefinition) | ({
        __$$element: "escalationEventDefinition";
    } & BPMN20__tEscalationEventDefinition) | ({
        __$$element: "linkEventDefinition";
    } & BPMN20__tLinkEventDefinition) | ({
        __$$element: "messageEventDefinition";
    } & BPMN20__tMessageEventDefinition) | ({
        __$$element: "signalEventDefinition";
    } & BPMN20__tSignalEventDefinition) | ({
        __$$element: "terminateEventDefinition";
    } & BPMN20__tTerminateEventDefinition) | ({
        __$$element: "timerEventDefinition";
    } & BPMN20__tTimerEventDefinition))[];
    "eventDefinitionRef"?: string[];
    "property"?: BPMN20__tProperty[];
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tBusinessRuleTask {
    __?: undefined;
    "@_implementation"?: BPMN20__tImplementation;
    "@_isForCompensation"?: boolean;
    "@_startQuantity"?: number;
    "@_completionQuantity"?: number;
    "@_default"?: string;
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "property"?: BPMN20__tProperty[];
    "dataInputAssociation"?: BPMN20__tDataInputAssociation[];
    "dataOutputAssociation"?: BPMN20__tDataOutputAssociation[];
    "resourceRole"?: (({
        __$$element: "humanPerformer";
    } & BPMN20__tHumanPerformer) | ({
        __$$element: "potentialOwner";
    } & BPMN20__tPotentialOwner))[];
    "loopCharacteristics"?: (({
        __$$element: "multiInstanceLoopCharacteristics";
    } & BPMN20__tMultiInstanceLoopCharacteristics) | ({
        __$$element: "standardLoopCharacteristics";
    } & BPMN20__tStandardLoopCharacteristics));
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tCallableElement {
    __?: undefined;
    "@_name"?: string;
    "supportedInterfaceRef"?: string[];
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "ioBinding"?: BPMN20__tInputOutputBinding[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tCallActivity {
    __?: undefined;
    "@_calledElement"?: string;
    "@_isForCompensation"?: boolean;
    "@_startQuantity"?: number;
    "@_completionQuantity"?: number;
    "@_default"?: string;
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "property"?: BPMN20__tProperty[];
    "dataInputAssociation"?: BPMN20__tDataInputAssociation[];
    "dataOutputAssociation"?: BPMN20__tDataOutputAssociation[];
    "resourceRole"?: (({
        __$$element: "humanPerformer";
    } & BPMN20__tHumanPerformer) | ({
        __$$element: "potentialOwner";
    } & BPMN20__tPotentialOwner))[];
    "loopCharacteristics"?: (({
        __$$element: "multiInstanceLoopCharacteristics";
    } & BPMN20__tMultiInstanceLoopCharacteristics) | ({
        __$$element: "standardLoopCharacteristics";
    } & BPMN20__tStandardLoopCharacteristics));
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tCallChoreography {
    __?: undefined;
    "@_calledChoreographyRef"?: string;
    "participantAssociation"?: BPMN20__tParticipantAssociation[];
    "@_initiatingParticipantRef": string;
    "@_loopType"?: BPMN20__tChoreographyLoopType;
    "participantRef": string[];
    "correlationKey"?: BPMN20__tCorrelationKey[];
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tCallConversation {
    __?: undefined;
    "@_calledCollaborationRef"?: string;
    "participantAssociation"?: BPMN20__tParticipantAssociation[];
    "@_name"?: string;
    "participantRef"?: string[];
    "messageFlowRef"?: string[];
    "correlationKey"?: BPMN20__tCorrelationKey[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tCancelEventDefinition {
    __?: undefined;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tCatchEvent {
    __?: undefined;
    "@_parallelMultiple"?: boolean;
    "dataOutput"?: BPMN20__tDataOutput[];
    "dataOutputAssociation"?: BPMN20__tDataOutputAssociation[];
    "outputSet"?: BPMN20__tOutputSet;
    "eventDefinition"?: (({
        __$$element: "cancelEventDefinition";
    } & BPMN20__tCancelEventDefinition) | ({
        __$$element: "compensateEventDefinition";
    } & BPMN20__tCompensateEventDefinition) | ({
        __$$element: "conditionalEventDefinition";
    } & BPMN20__tConditionalEventDefinition) | ({
        __$$element: "errorEventDefinition";
    } & BPMN20__tErrorEventDefinition) | ({
        __$$element: "escalationEventDefinition";
    } & BPMN20__tEscalationEventDefinition) | ({
        __$$element: "linkEventDefinition";
    } & BPMN20__tLinkEventDefinition) | ({
        __$$element: "messageEventDefinition";
    } & BPMN20__tMessageEventDefinition) | ({
        __$$element: "signalEventDefinition";
    } & BPMN20__tSignalEventDefinition) | ({
        __$$element: "terminateEventDefinition";
    } & BPMN20__tTerminateEventDefinition) | ({
        __$$element: "timerEventDefinition";
    } & BPMN20__tTimerEventDefinition))[];
    "eventDefinitionRef"?: string[];
    "property"?: BPMN20__tProperty[];
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tCategory {
    __?: undefined;
    "@_name"?: string;
    "categoryValue"?: BPMN20__tCategoryValue[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tCategoryValue {
    __?: undefined;
    "@_value"?: string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tChoreography {
    __?: undefined;
    "flowElement"?: (({
        __$$element: "adHocSubProcess";
    } & BPMN20__tAdHocSubProcess) | ({
        __$$element: "boundaryEvent";
    } & BPMN20__tBoundaryEvent) | ({
        __$$element: "businessRuleTask";
    } & BPMN20__tBusinessRuleTask) | ({
        __$$element: "callActivity";
    } & BPMN20__tCallActivity) | ({
        __$$element: "callChoreography";
    } & BPMN20__tCallChoreography) | ({
        __$$element: "choreographyTask";
    } & BPMN20__tChoreographyTask) | ({
        __$$element: "complexGateway";
    } & BPMN20__tComplexGateway) | ({
        __$$element: "dataObject";
    } & BPMN20__tDataObject) | ({
        __$$element: "dataObjectReference";
    } & BPMN20__tDataObjectReference) | ({
        __$$element: "dataStoreReference";
    } & BPMN20__tDataStoreReference) | ({
        __$$element: "endEvent";
    } & BPMN20__tEndEvent) | ({
        __$$element: "event";
    } & BPMN20__tEvent) | ({
        __$$element: "eventBasedGateway";
    } & BPMN20__tEventBasedGateway) | ({
        __$$element: "exclusiveGateway";
    } & BPMN20__tExclusiveGateway) | ({
        __$$element: "implicitThrowEvent";
    } & BPMN20__tImplicitThrowEvent) | ({
        __$$element: "inclusiveGateway";
    } & BPMN20__tInclusiveGateway) | ({
        __$$element: "intermediateCatchEvent";
    } & BPMN20__tIntermediateCatchEvent) | ({
        __$$element: "intermediateThrowEvent";
    } & BPMN20__tIntermediateThrowEvent) | ({
        __$$element: "manualTask";
    } & BPMN20__tManualTask) | ({
        __$$element: "parallelGateway";
    } & BPMN20__tParallelGateway) | ({
        __$$element: "receiveTask";
    } & BPMN20__tReceiveTask) | ({
        __$$element: "scriptTask";
    } & BPMN20__tScriptTask) | ({
        __$$element: "sendTask";
    } & BPMN20__tSendTask) | ({
        __$$element: "sequenceFlow";
    } & BPMN20__tSequenceFlow) | ({
        __$$element: "serviceTask";
    } & BPMN20__tServiceTask) | ({
        __$$element: "startEvent";
    } & BPMN20__tStartEvent) | ({
        __$$element: "subChoreography";
    } & BPMN20__tSubChoreography) | ({
        __$$element: "subProcess";
    } & BPMN20__tSubProcess) | ({
        __$$element: "task";
    } & BPMN20__tTask) | ({
        __$$element: "transaction";
    } & BPMN20__tTransaction) | ({
        __$$element: "userTask";
    } & BPMN20__tUserTask))[];
    "@_name"?: string;
    "@_isClosed"?: boolean;
    "participant"?: BPMN20__tParticipant[];
    "messageFlow"?: BPMN20__tMessageFlow[];
    "artifact"?: (({
        __$$element: "association";
    } & BPMN20__tAssociation) | ({
        __$$element: "group";
    } & BPMN20__tGroup) | ({
        __$$element: "textAnnotation";
    } & BPMN20__tTextAnnotation))[];
    "conversationNode"?: (({
        __$$element: "callConversation";
    } & BPMN20__tCallConversation) | ({
        __$$element: "conversation";
    } & BPMN20__tConversation) | ({
        __$$element: "subConversation";
    } & BPMN20__tSubConversation))[];
    "conversationAssociation"?: BPMN20__tConversationAssociation[];
    "participantAssociation"?: BPMN20__tParticipantAssociation[];
    "messageFlowAssociation"?: BPMN20__tMessageFlowAssociation[];
    "correlationKey"?: BPMN20__tCorrelationKey[];
    "choreographyRef"?: string[];
    "conversationLink"?: BPMN20__tConversationLink[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tChoreographyActivity {
    __?: undefined;
    "@_initiatingParticipantRef": string;
    "@_loopType"?: BPMN20__tChoreographyLoopType;
    "participantRef": string[];
    "correlationKey"?: BPMN20__tCorrelationKey[];
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tChoreographyTask {
    __?: undefined;
    "messageFlowRef": string[];
    "@_initiatingParticipantRef": string;
    "@_loopType"?: BPMN20__tChoreographyLoopType;
    "participantRef": string[];
    "correlationKey"?: BPMN20__tCorrelationKey[];
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tCollaboration {
    __?: undefined;
    "@_name"?: string;
    "@_isClosed"?: boolean;
    "participant"?: BPMN20__tParticipant[];
    "messageFlow"?: BPMN20__tMessageFlow[];
    "artifact"?: (({
        __$$element: "association";
    } & BPMN20__tAssociation) | ({
        __$$element: "group";
    } & BPMN20__tGroup) | ({
        __$$element: "textAnnotation";
    } & BPMN20__tTextAnnotation))[];
    "conversationNode"?: (({
        __$$element: "callConversation";
    } & BPMN20__tCallConversation) | ({
        __$$element: "conversation";
    } & BPMN20__tConversation) | ({
        __$$element: "subConversation";
    } & BPMN20__tSubConversation))[];
    "conversationAssociation"?: BPMN20__tConversationAssociation[];
    "participantAssociation"?: BPMN20__tParticipantAssociation[];
    "messageFlowAssociation"?: BPMN20__tMessageFlowAssociation[];
    "correlationKey"?: BPMN20__tCorrelationKey[];
    "choreographyRef"?: string[];
    "conversationLink"?: BPMN20__tConversationLink[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tCompensateEventDefinition {
    __?: undefined;
    "@_waitForCompletion"?: boolean;
    "@_activityRef"?: string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tComplexBehaviorDefinition {
    __?: undefined;
    "condition": BPMN20__tFormalExpression;
    "event"?: BPMN20__tImplicitThrowEvent;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tComplexGateway {
    __?: undefined;
    "@_default"?: string;
    "activationCondition"?: BPMN20__tExpression;
    "@_gatewayDirection"?: BPMN20__tGatewayDirection;
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tConditionalEventDefinition {
    __?: undefined;
    "condition": BPMN20__tExpression;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tConversation {
    __?: undefined;
    "@_name"?: string;
    "participantRef"?: string[];
    "messageFlowRef"?: string[];
    "correlationKey"?: BPMN20__tCorrelationKey[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tConversationAssociation {
    __?: undefined;
    "@_innerConversationNodeRef": string;
    "@_outerConversationNodeRef": string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tConversationLink {
    __?: undefined;
    "@_name"?: string;
    "@_sourceRef": string;
    "@_targetRef": string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tConversationNode {
    __?: undefined;
    "@_name"?: string;
    "participantRef"?: string[];
    "messageFlowRef"?: string[];
    "correlationKey"?: BPMN20__tCorrelationKey[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tCorrelationKey {
    __?: undefined;
    "@_name"?: string;
    "correlationPropertyRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tCorrelationProperty {
    __?: undefined;
    "@_name"?: string;
    "@_type"?: string;
    "correlationPropertyRetrievalExpression": BPMN20__tCorrelationPropertyRetrievalExpression[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tCorrelationPropertyBinding {
    __?: undefined;
    "@_correlationPropertyRef": string;
    "dataPath": BPMN20__tFormalExpression;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tCorrelationPropertyRetrievalExpression {
    __?: undefined;
    "@_messageRef": string;
    "messagePath": BPMN20__tFormalExpression;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tCorrelationSubscription {
    __?: undefined;
    "@_correlationKeyRef": string;
    "correlationPropertyBinding"?: BPMN20__tCorrelationPropertyBinding[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tDataAssociation {
    __?: undefined;
    "sourceRef"?: string[];
    "targetRef": string;
    "transformation"?: BPMN20__tFormalExpression;
    "assignment"?: BPMN20__tAssignment[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tDataInput {
    __?: undefined;
    "@_name"?: string;
    "@_itemSubjectRef"?: string;
    "@_isCollection"?: boolean;
    "dataState"?: BPMN20__tDataState;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tDataInputAssociation {
    __?: undefined;
    "sourceRef"?: string[];
    "targetRef": string;
    "transformation"?: BPMN20__tFormalExpression;
    "assignment"?: BPMN20__tAssignment[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tDataObject {
    __?: undefined;
    "@_itemSubjectRef"?: string;
    "@_isCollection"?: boolean;
    "dataState"?: BPMN20__tDataState;
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tDataObjectReference {
    __?: undefined;
    "@_itemSubjectRef"?: string;
    "@_dataObjectRef"?: string;
    "dataState"?: BPMN20__tDataState;
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tDataOutput {
    __?: undefined;
    "@_name"?: string;
    "@_itemSubjectRef"?: string;
    "@_isCollection"?: boolean;
    "dataState"?: BPMN20__tDataState;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tDataOutputAssociation {
    __?: undefined;
    "sourceRef"?: string[];
    "targetRef": string;
    "transformation"?: BPMN20__tFormalExpression;
    "assignment"?: BPMN20__tAssignment[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tDataState {
    __?: undefined;
    "@_name"?: string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tDataStore {
    __?: undefined;
    "@_name"?: string;
    "@_capacity"?: number;
    "@_isUnlimited"?: boolean;
    "@_itemSubjectRef"?: string;
    "dataState"?: BPMN20__tDataState;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tDataStoreReference {
    __?: undefined;
    "@_itemSubjectRef"?: string;
    "@_dataStoreRef"?: string;
    "dataState"?: BPMN20__tDataState;
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tDocumentation {
    __?: undefined;
    "@_id"?: string;
    "@_textFormat"?: string;
}
export interface BPMN20__tEndEvent {
    __?: undefined;
    "dataInput"?: BPMN20__tDataInput[];
    "dataInputAssociation"?: BPMN20__tDataInputAssociation[];
    "inputSet"?: BPMN20__tInputSet;
    "eventDefinition"?: (({
        __$$element: "cancelEventDefinition";
    } & BPMN20__tCancelEventDefinition) | ({
        __$$element: "compensateEventDefinition";
    } & BPMN20__tCompensateEventDefinition) | ({
        __$$element: "conditionalEventDefinition";
    } & BPMN20__tConditionalEventDefinition) | ({
        __$$element: "errorEventDefinition";
    } & BPMN20__tErrorEventDefinition) | ({
        __$$element: "escalationEventDefinition";
    } & BPMN20__tEscalationEventDefinition) | ({
        __$$element: "linkEventDefinition";
    } & BPMN20__tLinkEventDefinition) | ({
        __$$element: "messageEventDefinition";
    } & BPMN20__tMessageEventDefinition) | ({
        __$$element: "signalEventDefinition";
    } & BPMN20__tSignalEventDefinition) | ({
        __$$element: "terminateEventDefinition";
    } & BPMN20__tTerminateEventDefinition) | ({
        __$$element: "timerEventDefinition";
    } & BPMN20__tTimerEventDefinition))[];
    "eventDefinitionRef"?: string[];
    "property"?: BPMN20__tProperty[];
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tEndPoint {
    __?: undefined;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tError {
    __?: undefined;
    "@_name"?: string;
    "@_errorCode"?: string;
    "@_structureRef"?: string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tErrorEventDefinition {
    __?: undefined;
    "@_errorRef"?: string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tEscalation {
    __?: undefined;
    "@_name"?: string;
    "@_escalationCode"?: string;
    "@_structureRef"?: string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tEscalationEventDefinition {
    __?: undefined;
    "@_escalationRef"?: string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tEvent {
    __?: undefined;
    "property"?: BPMN20__tProperty[];
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tEventBasedGateway {
    __?: undefined;
    "@_instantiate"?: boolean;
    "@_eventGatewayType"?: BPMN20__tEventBasedGatewayType;
    "@_gatewayDirection"?: BPMN20__tGatewayDirection;
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tEventDefinition {
    __?: undefined;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tExclusiveGateway {
    __?: undefined;
    "@_default"?: string;
    "@_gatewayDirection"?: BPMN20__tGatewayDirection;
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tExpression {
    __?: undefined;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export declare type BPMN20__tExtension = {
    "@_definition"?: string;
    "@_mustUnderstand"?: boolean;
    "documentation"?: BPMN20__tDocumentation[];
};
export interface BPMN20__tExtensionElements {
    __?: undefined;
}
export interface BPMN20__tFlowElement {
    __?: undefined;
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tFlowNode {
    __?: undefined;
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tFormalExpression {
    __?: undefined;
    "@_language"?: string;
    "@_evaluatesToTypeRef"?: string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tGateway {
    __?: undefined;
    "@_gatewayDirection"?: BPMN20__tGatewayDirection;
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tGlobalBusinessRuleTask {
    __?: undefined;
    "@_implementation"?: BPMN20__tImplementation;
    "resourceRole"?: (({
        __$$element: "humanPerformer";
    } & BPMN20__tHumanPerformer) | ({
        __$$element: "potentialOwner";
    } & BPMN20__tPotentialOwner))[];
    "@_name"?: string;
    "supportedInterfaceRef"?: string[];
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "ioBinding"?: BPMN20__tInputOutputBinding[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tGlobalChoreographyTask {
    __?: undefined;
    "@_initiatingParticipantRef"?: string;
    "flowElement"?: (({
        __$$element: "adHocSubProcess";
    } & BPMN20__tAdHocSubProcess) | ({
        __$$element: "boundaryEvent";
    } & BPMN20__tBoundaryEvent) | ({
        __$$element: "businessRuleTask";
    } & BPMN20__tBusinessRuleTask) | ({
        __$$element: "callActivity";
    } & BPMN20__tCallActivity) | ({
        __$$element: "callChoreography";
    } & BPMN20__tCallChoreography) | ({
        __$$element: "choreographyTask";
    } & BPMN20__tChoreographyTask) | ({
        __$$element: "complexGateway";
    } & BPMN20__tComplexGateway) | ({
        __$$element: "dataObject";
    } & BPMN20__tDataObject) | ({
        __$$element: "dataObjectReference";
    } & BPMN20__tDataObjectReference) | ({
        __$$element: "dataStoreReference";
    } & BPMN20__tDataStoreReference) | ({
        __$$element: "endEvent";
    } & BPMN20__tEndEvent) | ({
        __$$element: "event";
    } & BPMN20__tEvent) | ({
        __$$element: "eventBasedGateway";
    } & BPMN20__tEventBasedGateway) | ({
        __$$element: "exclusiveGateway";
    } & BPMN20__tExclusiveGateway) | ({
        __$$element: "implicitThrowEvent";
    } & BPMN20__tImplicitThrowEvent) | ({
        __$$element: "inclusiveGateway";
    } & BPMN20__tInclusiveGateway) | ({
        __$$element: "intermediateCatchEvent";
    } & BPMN20__tIntermediateCatchEvent) | ({
        __$$element: "intermediateThrowEvent";
    } & BPMN20__tIntermediateThrowEvent) | ({
        __$$element: "manualTask";
    } & BPMN20__tManualTask) | ({
        __$$element: "parallelGateway";
    } & BPMN20__tParallelGateway) | ({
        __$$element: "receiveTask";
    } & BPMN20__tReceiveTask) | ({
        __$$element: "scriptTask";
    } & BPMN20__tScriptTask) | ({
        __$$element: "sendTask";
    } & BPMN20__tSendTask) | ({
        __$$element: "sequenceFlow";
    } & BPMN20__tSequenceFlow) | ({
        __$$element: "serviceTask";
    } & BPMN20__tServiceTask) | ({
        __$$element: "startEvent";
    } & BPMN20__tStartEvent) | ({
        __$$element: "subChoreography";
    } & BPMN20__tSubChoreography) | ({
        __$$element: "subProcess";
    } & BPMN20__tSubProcess) | ({
        __$$element: "task";
    } & BPMN20__tTask) | ({
        __$$element: "transaction";
    } & BPMN20__tTransaction) | ({
        __$$element: "userTask";
    } & BPMN20__tUserTask))[];
    "@_name"?: string;
    "@_isClosed"?: boolean;
    "participant"?: BPMN20__tParticipant[];
    "messageFlow"?: BPMN20__tMessageFlow[];
    "artifact"?: (({
        __$$element: "association";
    } & BPMN20__tAssociation) | ({
        __$$element: "group";
    } & BPMN20__tGroup) | ({
        __$$element: "textAnnotation";
    } & BPMN20__tTextAnnotation))[];
    "conversationNode"?: (({
        __$$element: "callConversation";
    } & BPMN20__tCallConversation) | ({
        __$$element: "conversation";
    } & BPMN20__tConversation) | ({
        __$$element: "subConversation";
    } & BPMN20__tSubConversation))[];
    "conversationAssociation"?: BPMN20__tConversationAssociation[];
    "participantAssociation"?: BPMN20__tParticipantAssociation[];
    "messageFlowAssociation"?: BPMN20__tMessageFlowAssociation[];
    "correlationKey"?: BPMN20__tCorrelationKey[];
    "choreographyRef"?: string[];
    "conversationLink"?: BPMN20__tConversationLink[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tGlobalConversation {
    __?: undefined;
    "@_name"?: string;
    "@_isClosed"?: boolean;
    "participant"?: BPMN20__tParticipant[];
    "messageFlow"?: BPMN20__tMessageFlow[];
    "artifact"?: (({
        __$$element: "association";
    } & BPMN20__tAssociation) | ({
        __$$element: "group";
    } & BPMN20__tGroup) | ({
        __$$element: "textAnnotation";
    } & BPMN20__tTextAnnotation))[];
    "conversationNode"?: (({
        __$$element: "callConversation";
    } & BPMN20__tCallConversation) | ({
        __$$element: "conversation";
    } & BPMN20__tConversation) | ({
        __$$element: "subConversation";
    } & BPMN20__tSubConversation))[];
    "conversationAssociation"?: BPMN20__tConversationAssociation[];
    "participantAssociation"?: BPMN20__tParticipantAssociation[];
    "messageFlowAssociation"?: BPMN20__tMessageFlowAssociation[];
    "correlationKey"?: BPMN20__tCorrelationKey[];
    "choreographyRef"?: string[];
    "conversationLink"?: BPMN20__tConversationLink[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tGlobalManualTask {
    __?: undefined;
    "resourceRole"?: (({
        __$$element: "humanPerformer";
    } & BPMN20__tHumanPerformer) | ({
        __$$element: "potentialOwner";
    } & BPMN20__tPotentialOwner))[];
    "@_name"?: string;
    "supportedInterfaceRef"?: string[];
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "ioBinding"?: BPMN20__tInputOutputBinding[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tGlobalScriptTask {
    __?: undefined;
    "@_scriptLanguage"?: string;
    "script"?: BPMN20__tScript;
    "resourceRole"?: (({
        __$$element: "humanPerformer";
    } & BPMN20__tHumanPerformer) | ({
        __$$element: "potentialOwner";
    } & BPMN20__tPotentialOwner))[];
    "@_name"?: string;
    "supportedInterfaceRef"?: string[];
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "ioBinding"?: BPMN20__tInputOutputBinding[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tGlobalTask {
    __?: undefined;
    "resourceRole"?: (({
        __$$element: "humanPerformer";
    } & BPMN20__tHumanPerformer) | ({
        __$$element: "potentialOwner";
    } & BPMN20__tPotentialOwner))[];
    "@_name"?: string;
    "supportedInterfaceRef"?: string[];
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "ioBinding"?: BPMN20__tInputOutputBinding[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tGlobalUserTask {
    __?: undefined;
    "@_implementation"?: BPMN20__tImplementation;
    "rendering"?: BPMN20__tRendering[];
    "resourceRole"?: (({
        __$$element: "humanPerformer";
    } & BPMN20__tHumanPerformer) | ({
        __$$element: "potentialOwner";
    } & BPMN20__tPotentialOwner))[];
    "@_name"?: string;
    "supportedInterfaceRef"?: string[];
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "ioBinding"?: BPMN20__tInputOutputBinding[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tGroup {
    __?: undefined;
    "@_categoryValueRef"?: string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tHumanPerformer {
    __?: undefined;
    "@_name"?: string;
    "resourceAssignmentExpression"?: BPMN20__tResourceAssignmentExpression;
    "resourceRef"?: string;
    "resourceParameterBinding"?: BPMN20__tResourceParameterBinding[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tImplicitThrowEvent {
    __?: undefined;
    "dataInput"?: BPMN20__tDataInput[];
    "dataInputAssociation"?: BPMN20__tDataInputAssociation[];
    "inputSet"?: BPMN20__tInputSet;
    "eventDefinition"?: (({
        __$$element: "cancelEventDefinition";
    } & BPMN20__tCancelEventDefinition) | ({
        __$$element: "compensateEventDefinition";
    } & BPMN20__tCompensateEventDefinition) | ({
        __$$element: "conditionalEventDefinition";
    } & BPMN20__tConditionalEventDefinition) | ({
        __$$element: "errorEventDefinition";
    } & BPMN20__tErrorEventDefinition) | ({
        __$$element: "escalationEventDefinition";
    } & BPMN20__tEscalationEventDefinition) | ({
        __$$element: "linkEventDefinition";
    } & BPMN20__tLinkEventDefinition) | ({
        __$$element: "messageEventDefinition";
    } & BPMN20__tMessageEventDefinition) | ({
        __$$element: "signalEventDefinition";
    } & BPMN20__tSignalEventDefinition) | ({
        __$$element: "terminateEventDefinition";
    } & BPMN20__tTerminateEventDefinition) | ({
        __$$element: "timerEventDefinition";
    } & BPMN20__tTimerEventDefinition))[];
    "eventDefinitionRef"?: string[];
    "property"?: BPMN20__tProperty[];
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tInclusiveGateway {
    __?: undefined;
    "@_default"?: string;
    "@_gatewayDirection"?: BPMN20__tGatewayDirection;
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tInputSet {
    __?: undefined;
    "@_name"?: string;
    "dataInputRefs"?: string[];
    "optionalInputRefs"?: string[];
    "whileExecutingInputRefs"?: string[];
    "outputSetRefs"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tInterface {
    __?: undefined;
    "@_name": string;
    "@_implementationRef"?: string;
    "operation": BPMN20__tOperation[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tIntermediateCatchEvent {
    __?: undefined;
    "@_parallelMultiple"?: boolean;
    "dataOutput"?: BPMN20__tDataOutput[];
    "dataOutputAssociation"?: BPMN20__tDataOutputAssociation[];
    "outputSet"?: BPMN20__tOutputSet;
    "eventDefinition"?: (({
        __$$element: "cancelEventDefinition";
    } & BPMN20__tCancelEventDefinition) | ({
        __$$element: "compensateEventDefinition";
    } & BPMN20__tCompensateEventDefinition) | ({
        __$$element: "conditionalEventDefinition";
    } & BPMN20__tConditionalEventDefinition) | ({
        __$$element: "errorEventDefinition";
    } & BPMN20__tErrorEventDefinition) | ({
        __$$element: "escalationEventDefinition";
    } & BPMN20__tEscalationEventDefinition) | ({
        __$$element: "linkEventDefinition";
    } & BPMN20__tLinkEventDefinition) | ({
        __$$element: "messageEventDefinition";
    } & BPMN20__tMessageEventDefinition) | ({
        __$$element: "signalEventDefinition";
    } & BPMN20__tSignalEventDefinition) | ({
        __$$element: "terminateEventDefinition";
    } & BPMN20__tTerminateEventDefinition) | ({
        __$$element: "timerEventDefinition";
    } & BPMN20__tTimerEventDefinition))[];
    "eventDefinitionRef"?: string[];
    "property"?: BPMN20__tProperty[];
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tIntermediateThrowEvent {
    __?: undefined;
    "dataInput"?: BPMN20__tDataInput[];
    "dataInputAssociation"?: BPMN20__tDataInputAssociation[];
    "inputSet"?: BPMN20__tInputSet;
    "eventDefinition"?: (({
        __$$element: "cancelEventDefinition";
    } & BPMN20__tCancelEventDefinition) | ({
        __$$element: "compensateEventDefinition";
    } & BPMN20__tCompensateEventDefinition) | ({
        __$$element: "conditionalEventDefinition";
    } & BPMN20__tConditionalEventDefinition) | ({
        __$$element: "errorEventDefinition";
    } & BPMN20__tErrorEventDefinition) | ({
        __$$element: "escalationEventDefinition";
    } & BPMN20__tEscalationEventDefinition) | ({
        __$$element: "linkEventDefinition";
    } & BPMN20__tLinkEventDefinition) | ({
        __$$element: "messageEventDefinition";
    } & BPMN20__tMessageEventDefinition) | ({
        __$$element: "signalEventDefinition";
    } & BPMN20__tSignalEventDefinition) | ({
        __$$element: "terminateEventDefinition";
    } & BPMN20__tTerminateEventDefinition) | ({
        __$$element: "timerEventDefinition";
    } & BPMN20__tTimerEventDefinition))[];
    "eventDefinitionRef"?: string[];
    "property"?: BPMN20__tProperty[];
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tInputOutputBinding {
    __?: undefined;
    "@_operationRef": string;
    "@_inputDataRef": string;
    "@_outputDataRef": string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tInputOutputSpecification {
    __?: undefined;
    "dataInput"?: BPMN20__tDataInput[];
    "dataOutput"?: BPMN20__tDataOutput[];
    "inputSet": BPMN20__tInputSet[];
    "outputSet": BPMN20__tOutputSet[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tItemDefinition {
    __?: undefined;
    "@_structureRef"?: string;
    "@_isCollection"?: boolean;
    "@_itemKind"?: BPMN20__tItemKind;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tLane {
    __?: undefined;
    "@_name"?: string;
    "@_partitionElementRef"?: string;
    "partitionElement"?: BPMN20__tBaseElement;
    "flowNodeRef"?: string[];
    "childLaneSet"?: BPMN20__tLaneSet;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tLaneSet {
    __?: undefined;
    "@_name"?: string;
    "lane"?: BPMN20__tLane[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tLinkEventDefinition {
    __?: undefined;
    "@_name": string;
    "source"?: string[];
    "target"?: string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tLoopCharacteristics {
    __?: undefined;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tManualTask {
    __?: undefined;
    "@_isForCompensation"?: boolean;
    "@_startQuantity"?: number;
    "@_completionQuantity"?: number;
    "@_default"?: string;
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "property"?: BPMN20__tProperty[];
    "dataInputAssociation"?: BPMN20__tDataInputAssociation[];
    "dataOutputAssociation"?: BPMN20__tDataOutputAssociation[];
    "resourceRole"?: (({
        __$$element: "humanPerformer";
    } & BPMN20__tHumanPerformer) | ({
        __$$element: "potentialOwner";
    } & BPMN20__tPotentialOwner))[];
    "loopCharacteristics"?: (({
        __$$element: "multiInstanceLoopCharacteristics";
    } & BPMN20__tMultiInstanceLoopCharacteristics) | ({
        __$$element: "standardLoopCharacteristics";
    } & BPMN20__tStandardLoopCharacteristics));
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tMessage {
    __?: undefined;
    "@_name"?: string;
    "@_itemRef"?: string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tMessageEventDefinition {
    __?: undefined;
    "@_messageRef"?: string;
    "operationRef"?: string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tMessageFlow {
    __?: undefined;
    "@_name"?: string;
    "@_sourceRef": string;
    "@_targetRef": string;
    "@_messageRef"?: string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tMessageFlowAssociation {
    __?: undefined;
    "@_innerMessageFlowRef": string;
    "@_outerMessageFlowRef": string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tMonitoring {
    __?: undefined;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tMultiInstanceLoopCharacteristics {
    __?: undefined;
    "@_isSequential"?: boolean;
    "@_behavior"?: BPMN20__tMultiInstanceFlowCondition;
    "@_oneBehaviorEventRef"?: string;
    "@_noneBehaviorEventRef"?: string;
    "loopCardinality"?: BPMN20__tExpression;
    "loopDataInputRef"?: string;
    "loopDataOutputRef"?: string;
    "inputDataItem"?: BPMN20__tDataInput;
    "outputDataItem"?: BPMN20__tDataOutput;
    "complexBehaviorDefinition"?: BPMN20__tComplexBehaviorDefinition[];
    "completionCondition"?: BPMN20__tExpression;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tOperation {
    __?: undefined;
    "@_name": string;
    "@_implementationRef"?: string;
    "inMessageRef": string;
    "outMessageRef"?: string;
    "errorRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tOutputSet {
    __?: undefined;
    "@_name"?: string;
    "dataOutputRefs"?: string[];
    "optionalOutputRefs"?: string[];
    "whileExecutingOutputRefs"?: string[];
    "inputSetRefs"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tParallelGateway {
    __?: undefined;
    "@_gatewayDirection"?: BPMN20__tGatewayDirection;
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tParticipant {
    __?: undefined;
    "@_name"?: string;
    "@_processRef"?: string;
    "interfaceRef"?: string[];
    "endPointRef"?: string[];
    "participantMultiplicity"?: BPMN20__tParticipantMultiplicity;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tParticipantAssociation {
    __?: undefined;
    "innerParticipantRef": string;
    "outerParticipantRef": string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tParticipantMultiplicity {
    __?: undefined;
    "@_minimum"?: number;
    "@_maximum"?: number;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tPartnerEntity {
    __?: undefined;
    "@_name"?: string;
    "participantRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tPartnerRole {
    __?: undefined;
    "@_name"?: string;
    "participantRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tPerformer {
    __?: undefined;
    "@_name"?: string;
    "resourceAssignmentExpression"?: BPMN20__tResourceAssignmentExpression;
    "resourceRef"?: string;
    "resourceParameterBinding"?: BPMN20__tResourceParameterBinding[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tPotentialOwner {
    __?: undefined;
    "@_name"?: string;
    "resourceAssignmentExpression"?: BPMN20__tResourceAssignmentExpression;
    "resourceRef"?: string;
    "resourceParameterBinding"?: BPMN20__tResourceParameterBinding[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tProcess {
    __?: undefined;
    "@_processType"?: BPMN20__tProcessType;
    "@_isClosed"?: boolean;
    "@_isExecutable"?: boolean;
    "@_definitionalCollaborationRef"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "property"?: BPMN20__tProperty[];
    "laneSet"?: BPMN20__tLaneSet[];
    "flowElement"?: (({
        __$$element: "adHocSubProcess";
    } & BPMN20__tAdHocSubProcess) | ({
        __$$element: "boundaryEvent";
    } & BPMN20__tBoundaryEvent) | ({
        __$$element: "businessRuleTask";
    } & BPMN20__tBusinessRuleTask) | ({
        __$$element: "callActivity";
    } & BPMN20__tCallActivity) | ({
        __$$element: "callChoreography";
    } & BPMN20__tCallChoreography) | ({
        __$$element: "choreographyTask";
    } & BPMN20__tChoreographyTask) | ({
        __$$element: "complexGateway";
    } & BPMN20__tComplexGateway) | ({
        __$$element: "dataObject";
    } & BPMN20__tDataObject) | ({
        __$$element: "dataObjectReference";
    } & BPMN20__tDataObjectReference) | ({
        __$$element: "dataStoreReference";
    } & BPMN20__tDataStoreReference) | ({
        __$$element: "endEvent";
    } & BPMN20__tEndEvent) | ({
        __$$element: "event";
    } & BPMN20__tEvent) | ({
        __$$element: "eventBasedGateway";
    } & BPMN20__tEventBasedGateway) | ({
        __$$element: "exclusiveGateway";
    } & BPMN20__tExclusiveGateway) | ({
        __$$element: "implicitThrowEvent";
    } & BPMN20__tImplicitThrowEvent) | ({
        __$$element: "inclusiveGateway";
    } & BPMN20__tInclusiveGateway) | ({
        __$$element: "intermediateCatchEvent";
    } & BPMN20__tIntermediateCatchEvent) | ({
        __$$element: "intermediateThrowEvent";
    } & BPMN20__tIntermediateThrowEvent) | ({
        __$$element: "manualTask";
    } & BPMN20__tManualTask) | ({
        __$$element: "parallelGateway";
    } & BPMN20__tParallelGateway) | ({
        __$$element: "receiveTask";
    } & BPMN20__tReceiveTask) | ({
        __$$element: "scriptTask";
    } & BPMN20__tScriptTask) | ({
        __$$element: "sendTask";
    } & BPMN20__tSendTask) | ({
        __$$element: "sequenceFlow";
    } & BPMN20__tSequenceFlow) | ({
        __$$element: "serviceTask";
    } & BPMN20__tServiceTask) | ({
        __$$element: "startEvent";
    } & BPMN20__tStartEvent) | ({
        __$$element: "subChoreography";
    } & BPMN20__tSubChoreography) | ({
        __$$element: "subProcess";
    } & BPMN20__tSubProcess) | ({
        __$$element: "task";
    } & BPMN20__tTask) | ({
        __$$element: "transaction";
    } & BPMN20__tTransaction) | ({
        __$$element: "userTask";
    } & BPMN20__tUserTask))[];
    "artifact"?: (({
        __$$element: "association";
    } & BPMN20__tAssociation) | ({
        __$$element: "group";
    } & BPMN20__tGroup) | ({
        __$$element: "textAnnotation";
    } & BPMN20__tTextAnnotation))[];
    "resourceRole"?: (({
        __$$element: "humanPerformer";
    } & BPMN20__tHumanPerformer) | ({
        __$$element: "potentialOwner";
    } & BPMN20__tPotentialOwner))[];
    "correlationSubscription"?: BPMN20__tCorrelationSubscription[];
    "supports"?: string[];
    "@_name"?: string;
    "supportedInterfaceRef"?: string[];
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "ioBinding"?: BPMN20__tInputOutputBinding[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tProperty {
    __?: undefined;
    "@_name"?: string;
    "@_itemSubjectRef"?: string;
    "dataState"?: BPMN20__tDataState;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tReceiveTask {
    __?: undefined;
    "@_implementation"?: BPMN20__tImplementation;
    "@_instantiate"?: boolean;
    "@_messageRef"?: string;
    "@_operationRef"?: string;
    "@_isForCompensation"?: boolean;
    "@_startQuantity"?: number;
    "@_completionQuantity"?: number;
    "@_default"?: string;
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "property"?: BPMN20__tProperty[];
    "dataInputAssociation"?: BPMN20__tDataInputAssociation[];
    "dataOutputAssociation"?: BPMN20__tDataOutputAssociation[];
    "resourceRole"?: (({
        __$$element: "humanPerformer";
    } & BPMN20__tHumanPerformer) | ({
        __$$element: "potentialOwner";
    } & BPMN20__tPotentialOwner))[];
    "loopCharacteristics"?: (({
        __$$element: "multiInstanceLoopCharacteristics";
    } & BPMN20__tMultiInstanceLoopCharacteristics) | ({
        __$$element: "standardLoopCharacteristics";
    } & BPMN20__tStandardLoopCharacteristics));
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tRelationship {
    __?: undefined;
    "@_type": string;
    "@_direction"?: BPMN20__tRelationshipDirection;
    "source": string[];
    "target": string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tRendering {
    __?: undefined;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tResource {
    __?: undefined;
    "@_name": string;
    "resourceParameter"?: BPMN20__tResourceParameter[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tResourceAssignmentExpression {
    __?: undefined;
    "expression": (({
        __$$element: "formalExpression";
    } & BPMN20__tFormalExpression));
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tResourceParameter {
    __?: undefined;
    "@_name"?: string;
    "@_type"?: string;
    "@_isRequired"?: boolean;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tResourceParameterBinding {
    __?: undefined;
    "@_parameterRef": string;
    "expression": (({
        __$$element: "formalExpression";
    } & BPMN20__tFormalExpression));
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tResourceRole {
    __?: undefined;
    "@_name"?: string;
    "resourceAssignmentExpression"?: BPMN20__tResourceAssignmentExpression;
    "resourceRef"?: string;
    "resourceParameterBinding"?: BPMN20__tResourceParameterBinding[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tRootElement {
    __?: undefined;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tScriptTask {
    __?: undefined;
    "@_scriptFormat"?: string;
    "script"?: BPMN20__tScript;
    "@_isForCompensation"?: boolean;
    "@_startQuantity"?: number;
    "@_completionQuantity"?: number;
    "@_default"?: string;
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "property"?: BPMN20__tProperty[];
    "dataInputAssociation"?: BPMN20__tDataInputAssociation[];
    "dataOutputAssociation"?: BPMN20__tDataOutputAssociation[];
    "resourceRole"?: (({
        __$$element: "humanPerformer";
    } & BPMN20__tHumanPerformer) | ({
        __$$element: "potentialOwner";
    } & BPMN20__tPotentialOwner))[];
    "loopCharacteristics"?: (({
        __$$element: "multiInstanceLoopCharacteristics";
    } & BPMN20__tMultiInstanceLoopCharacteristics) | ({
        __$$element: "standardLoopCharacteristics";
    } & BPMN20__tStandardLoopCharacteristics));
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tScript {
    __?: undefined;
}
export interface BPMN20__tSendTask {
    __?: undefined;
    "@_implementation"?: BPMN20__tImplementation;
    "@_messageRef"?: string;
    "@_operationRef"?: string;
    "@_isForCompensation"?: boolean;
    "@_startQuantity"?: number;
    "@_completionQuantity"?: number;
    "@_default"?: string;
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "property"?: BPMN20__tProperty[];
    "dataInputAssociation"?: BPMN20__tDataInputAssociation[];
    "dataOutputAssociation"?: BPMN20__tDataOutputAssociation[];
    "resourceRole"?: (({
        __$$element: "humanPerformer";
    } & BPMN20__tHumanPerformer) | ({
        __$$element: "potentialOwner";
    } & BPMN20__tPotentialOwner))[];
    "loopCharacteristics"?: (({
        __$$element: "multiInstanceLoopCharacteristics";
    } & BPMN20__tMultiInstanceLoopCharacteristics) | ({
        __$$element: "standardLoopCharacteristics";
    } & BPMN20__tStandardLoopCharacteristics));
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tSequenceFlow {
    __?: undefined;
    "@_sourceRef": string;
    "@_targetRef": string;
    "@_isImmediate"?: boolean;
    "conditionExpression"?: BPMN20__tExpression;
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tServiceTask {
    __?: undefined;
    "@_implementation"?: BPMN20__tImplementation;
    "@_operationRef"?: string;
    "@_isForCompensation"?: boolean;
    "@_startQuantity"?: number;
    "@_completionQuantity"?: number;
    "@_default"?: string;
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "property"?: BPMN20__tProperty[];
    "dataInputAssociation"?: BPMN20__tDataInputAssociation[];
    "dataOutputAssociation"?: BPMN20__tDataOutputAssociation[];
    "resourceRole"?: (({
        __$$element: "humanPerformer";
    } & BPMN20__tHumanPerformer) | ({
        __$$element: "potentialOwner";
    } & BPMN20__tPotentialOwner))[];
    "loopCharacteristics"?: (({
        __$$element: "multiInstanceLoopCharacteristics";
    } & BPMN20__tMultiInstanceLoopCharacteristics) | ({
        __$$element: "standardLoopCharacteristics";
    } & BPMN20__tStandardLoopCharacteristics));
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tSignal {
    __?: undefined;
    "@_name"?: string;
    "@_structureRef"?: string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tSignalEventDefinition {
    __?: undefined;
    "@_signalRef"?: string;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tStandardLoopCharacteristics {
    __?: undefined;
    "@_testBefore"?: boolean;
    "@_loopMaximum"?: number;
    "loopCondition"?: BPMN20__tExpression;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tStartEvent {
    __?: undefined;
    "@_isInterrupting"?: boolean;
    "@_parallelMultiple"?: boolean;
    "dataOutput"?: BPMN20__tDataOutput[];
    "dataOutputAssociation"?: BPMN20__tDataOutputAssociation[];
    "outputSet"?: BPMN20__tOutputSet;
    "eventDefinition"?: (({
        __$$element: "cancelEventDefinition";
    } & BPMN20__tCancelEventDefinition) | ({
        __$$element: "compensateEventDefinition";
    } & BPMN20__tCompensateEventDefinition) | ({
        __$$element: "conditionalEventDefinition";
    } & BPMN20__tConditionalEventDefinition) | ({
        __$$element: "errorEventDefinition";
    } & BPMN20__tErrorEventDefinition) | ({
        __$$element: "escalationEventDefinition";
    } & BPMN20__tEscalationEventDefinition) | ({
        __$$element: "linkEventDefinition";
    } & BPMN20__tLinkEventDefinition) | ({
        __$$element: "messageEventDefinition";
    } & BPMN20__tMessageEventDefinition) | ({
        __$$element: "signalEventDefinition";
    } & BPMN20__tSignalEventDefinition) | ({
        __$$element: "terminateEventDefinition";
    } & BPMN20__tTerminateEventDefinition) | ({
        __$$element: "timerEventDefinition";
    } & BPMN20__tTimerEventDefinition))[];
    "eventDefinitionRef"?: string[];
    "property"?: BPMN20__tProperty[];
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tSubChoreography {
    __?: undefined;
    "flowElement"?: (({
        __$$element: "adHocSubProcess";
    } & BPMN20__tAdHocSubProcess) | ({
        __$$element: "boundaryEvent";
    } & BPMN20__tBoundaryEvent) | ({
        __$$element: "businessRuleTask";
    } & BPMN20__tBusinessRuleTask) | ({
        __$$element: "callActivity";
    } & BPMN20__tCallActivity) | ({
        __$$element: "callChoreography";
    } & BPMN20__tCallChoreography) | ({
        __$$element: "choreographyTask";
    } & BPMN20__tChoreographyTask) | ({
        __$$element: "complexGateway";
    } & BPMN20__tComplexGateway) | ({
        __$$element: "dataObject";
    } & BPMN20__tDataObject) | ({
        __$$element: "dataObjectReference";
    } & BPMN20__tDataObjectReference) | ({
        __$$element: "dataStoreReference";
    } & BPMN20__tDataStoreReference) | ({
        __$$element: "endEvent";
    } & BPMN20__tEndEvent) | ({
        __$$element: "event";
    } & BPMN20__tEvent) | ({
        __$$element: "eventBasedGateway";
    } & BPMN20__tEventBasedGateway) | ({
        __$$element: "exclusiveGateway";
    } & BPMN20__tExclusiveGateway) | ({
        __$$element: "implicitThrowEvent";
    } & BPMN20__tImplicitThrowEvent) | ({
        __$$element: "inclusiveGateway";
    } & BPMN20__tInclusiveGateway) | ({
        __$$element: "intermediateCatchEvent";
    } & BPMN20__tIntermediateCatchEvent) | ({
        __$$element: "intermediateThrowEvent";
    } & BPMN20__tIntermediateThrowEvent) | ({
        __$$element: "manualTask";
    } & BPMN20__tManualTask) | ({
        __$$element: "parallelGateway";
    } & BPMN20__tParallelGateway) | ({
        __$$element: "receiveTask";
    } & BPMN20__tReceiveTask) | ({
        __$$element: "scriptTask";
    } & BPMN20__tScriptTask) | ({
        __$$element: "sendTask";
    } & BPMN20__tSendTask) | ({
        __$$element: "sequenceFlow";
    } & BPMN20__tSequenceFlow) | ({
        __$$element: "serviceTask";
    } & BPMN20__tServiceTask) | ({
        __$$element: "startEvent";
    } & BPMN20__tStartEvent) | ({
        __$$element: "subChoreography";
    } & BPMN20__tSubChoreography) | ({
        __$$element: "subProcess";
    } & BPMN20__tSubProcess) | ({
        __$$element: "task";
    } & BPMN20__tTask) | ({
        __$$element: "transaction";
    } & BPMN20__tTransaction) | ({
        __$$element: "userTask";
    } & BPMN20__tUserTask))[];
    "artifact"?: (({
        __$$element: "association";
    } & BPMN20__tAssociation) | ({
        __$$element: "group";
    } & BPMN20__tGroup) | ({
        __$$element: "textAnnotation";
    } & BPMN20__tTextAnnotation))[];
    "@_initiatingParticipantRef": string;
    "@_loopType"?: BPMN20__tChoreographyLoopType;
    "participantRef": string[];
    "correlationKey"?: BPMN20__tCorrelationKey[];
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tSubConversation {
    __?: undefined;
    "conversationNode"?: (({
        __$$element: "callConversation";
    } & BPMN20__tCallConversation) | ({
        __$$element: "conversation";
    } & BPMN20__tConversation) | ({
        __$$element: "subConversation";
    } & BPMN20__tSubConversation))[];
    "@_name"?: string;
    "participantRef"?: string[];
    "messageFlowRef"?: string[];
    "correlationKey"?: BPMN20__tCorrelationKey[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tSubProcess {
    __?: undefined;
    "@_triggeredByEvent"?: boolean;
    "laneSet"?: BPMN20__tLaneSet[];
    "flowElement"?: (({
        __$$element: "adHocSubProcess";
    } & BPMN20__tAdHocSubProcess) | ({
        __$$element: "boundaryEvent";
    } & BPMN20__tBoundaryEvent) | ({
        __$$element: "businessRuleTask";
    } & BPMN20__tBusinessRuleTask) | ({
        __$$element: "callActivity";
    } & BPMN20__tCallActivity) | ({
        __$$element: "callChoreography";
    } & BPMN20__tCallChoreography) | ({
        __$$element: "choreographyTask";
    } & BPMN20__tChoreographyTask) | ({
        __$$element: "complexGateway";
    } & BPMN20__tComplexGateway) | ({
        __$$element: "dataObject";
    } & BPMN20__tDataObject) | ({
        __$$element: "dataObjectReference";
    } & BPMN20__tDataObjectReference) | ({
        __$$element: "dataStoreReference";
    } & BPMN20__tDataStoreReference) | ({
        __$$element: "endEvent";
    } & BPMN20__tEndEvent) | ({
        __$$element: "event";
    } & BPMN20__tEvent) | ({
        __$$element: "eventBasedGateway";
    } & BPMN20__tEventBasedGateway) | ({
        __$$element: "exclusiveGateway";
    } & BPMN20__tExclusiveGateway) | ({
        __$$element: "implicitThrowEvent";
    } & BPMN20__tImplicitThrowEvent) | ({
        __$$element: "inclusiveGateway";
    } & BPMN20__tInclusiveGateway) | ({
        __$$element: "intermediateCatchEvent";
    } & BPMN20__tIntermediateCatchEvent) | ({
        __$$element: "intermediateThrowEvent";
    } & BPMN20__tIntermediateThrowEvent) | ({
        __$$element: "manualTask";
    } & BPMN20__tManualTask) | ({
        __$$element: "parallelGateway";
    } & BPMN20__tParallelGateway) | ({
        __$$element: "receiveTask";
    } & BPMN20__tReceiveTask) | ({
        __$$element: "scriptTask";
    } & BPMN20__tScriptTask) | ({
        __$$element: "sendTask";
    } & BPMN20__tSendTask) | ({
        __$$element: "sequenceFlow";
    } & BPMN20__tSequenceFlow) | ({
        __$$element: "serviceTask";
    } & BPMN20__tServiceTask) | ({
        __$$element: "startEvent";
    } & BPMN20__tStartEvent) | ({
        __$$element: "subChoreography";
    } & BPMN20__tSubChoreography) | ({
        __$$element: "subProcess";
    } & BPMN20__tSubProcess) | ({
        __$$element: "task";
    } & BPMN20__tTask) | ({
        __$$element: "transaction";
    } & BPMN20__tTransaction) | ({
        __$$element: "userTask";
    } & BPMN20__tUserTask))[];
    "artifact"?: (({
        __$$element: "association";
    } & BPMN20__tAssociation) | ({
        __$$element: "group";
    } & BPMN20__tGroup) | ({
        __$$element: "textAnnotation";
    } & BPMN20__tTextAnnotation))[];
    "@_isForCompensation"?: boolean;
    "@_startQuantity"?: number;
    "@_completionQuantity"?: number;
    "@_default"?: string;
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "property"?: BPMN20__tProperty[];
    "dataInputAssociation"?: BPMN20__tDataInputAssociation[];
    "dataOutputAssociation"?: BPMN20__tDataOutputAssociation[];
    "resourceRole"?: (({
        __$$element: "humanPerformer";
    } & BPMN20__tHumanPerformer) | ({
        __$$element: "potentialOwner";
    } & BPMN20__tPotentialOwner))[];
    "loopCharacteristics"?: (({
        __$$element: "multiInstanceLoopCharacteristics";
    } & BPMN20__tMultiInstanceLoopCharacteristics) | ({
        __$$element: "standardLoopCharacteristics";
    } & BPMN20__tStandardLoopCharacteristics));
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tTask {
    __?: undefined;
    "@_isForCompensation"?: boolean;
    "@_startQuantity"?: number;
    "@_completionQuantity"?: number;
    "@_default"?: string;
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "property"?: BPMN20__tProperty[];
    "dataInputAssociation"?: BPMN20__tDataInputAssociation[];
    "dataOutputAssociation"?: BPMN20__tDataOutputAssociation[];
    "resourceRole"?: (({
        __$$element: "humanPerformer";
    } & BPMN20__tHumanPerformer) | ({
        __$$element: "potentialOwner";
    } & BPMN20__tPotentialOwner))[];
    "loopCharacteristics"?: (({
        __$$element: "multiInstanceLoopCharacteristics";
    } & BPMN20__tMultiInstanceLoopCharacteristics) | ({
        __$$element: "standardLoopCharacteristics";
    } & BPMN20__tStandardLoopCharacteristics));
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tTerminateEventDefinition {
    __?: undefined;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tTextAnnotation {
    __?: undefined;
    "@_textFormat"?: string;
    "text"?: BPMN20__tText;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tText {
    __?: undefined;
}
export interface BPMN20__tThrowEvent {
    __?: undefined;
    "dataInput"?: BPMN20__tDataInput[];
    "dataInputAssociation"?: BPMN20__tDataInputAssociation[];
    "inputSet"?: BPMN20__tInputSet;
    "eventDefinition"?: (({
        __$$element: "cancelEventDefinition";
    } & BPMN20__tCancelEventDefinition) | ({
        __$$element: "compensateEventDefinition";
    } & BPMN20__tCompensateEventDefinition) | ({
        __$$element: "conditionalEventDefinition";
    } & BPMN20__tConditionalEventDefinition) | ({
        __$$element: "errorEventDefinition";
    } & BPMN20__tErrorEventDefinition) | ({
        __$$element: "escalationEventDefinition";
    } & BPMN20__tEscalationEventDefinition) | ({
        __$$element: "linkEventDefinition";
    } & BPMN20__tLinkEventDefinition) | ({
        __$$element: "messageEventDefinition";
    } & BPMN20__tMessageEventDefinition) | ({
        __$$element: "signalEventDefinition";
    } & BPMN20__tSignalEventDefinition) | ({
        __$$element: "terminateEventDefinition";
    } & BPMN20__tTerminateEventDefinition) | ({
        __$$element: "timerEventDefinition";
    } & BPMN20__tTimerEventDefinition))[];
    "eventDefinitionRef"?: string[];
    "property"?: BPMN20__tProperty[];
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tTimerEventDefinition {
    __?: undefined;
    "timeDate"?: BPMN20__tExpression;
    "timeDuration"?: BPMN20__tExpression;
    "timeCycle"?: BPMN20__tExpression;
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tTransaction {
    __?: undefined;
    "@_method"?: BPMN20__tTransactionMethod;
    "@_triggeredByEvent"?: boolean;
    "laneSet"?: BPMN20__tLaneSet[];
    "flowElement"?: (({
        __$$element: "adHocSubProcess";
    } & BPMN20__tAdHocSubProcess) | ({
        __$$element: "boundaryEvent";
    } & BPMN20__tBoundaryEvent) | ({
        __$$element: "businessRuleTask";
    } & BPMN20__tBusinessRuleTask) | ({
        __$$element: "callActivity";
    } & BPMN20__tCallActivity) | ({
        __$$element: "callChoreography";
    } & BPMN20__tCallChoreography) | ({
        __$$element: "choreographyTask";
    } & BPMN20__tChoreographyTask) | ({
        __$$element: "complexGateway";
    } & BPMN20__tComplexGateway) | ({
        __$$element: "dataObject";
    } & BPMN20__tDataObject) | ({
        __$$element: "dataObjectReference";
    } & BPMN20__tDataObjectReference) | ({
        __$$element: "dataStoreReference";
    } & BPMN20__tDataStoreReference) | ({
        __$$element: "endEvent";
    } & BPMN20__tEndEvent) | ({
        __$$element: "event";
    } & BPMN20__tEvent) | ({
        __$$element: "eventBasedGateway";
    } & BPMN20__tEventBasedGateway) | ({
        __$$element: "exclusiveGateway";
    } & BPMN20__tExclusiveGateway) | ({
        __$$element: "implicitThrowEvent";
    } & BPMN20__tImplicitThrowEvent) | ({
        __$$element: "inclusiveGateway";
    } & BPMN20__tInclusiveGateway) | ({
        __$$element: "intermediateCatchEvent";
    } & BPMN20__tIntermediateCatchEvent) | ({
        __$$element: "intermediateThrowEvent";
    } & BPMN20__tIntermediateThrowEvent) | ({
        __$$element: "manualTask";
    } & BPMN20__tManualTask) | ({
        __$$element: "parallelGateway";
    } & BPMN20__tParallelGateway) | ({
        __$$element: "receiveTask";
    } & BPMN20__tReceiveTask) | ({
        __$$element: "scriptTask";
    } & BPMN20__tScriptTask) | ({
        __$$element: "sendTask";
    } & BPMN20__tSendTask) | ({
        __$$element: "sequenceFlow";
    } & BPMN20__tSequenceFlow) | ({
        __$$element: "serviceTask";
    } & BPMN20__tServiceTask) | ({
        __$$element: "startEvent";
    } & BPMN20__tStartEvent) | ({
        __$$element: "subChoreography";
    } & BPMN20__tSubChoreography) | ({
        __$$element: "subProcess";
    } & BPMN20__tSubProcess) | ({
        __$$element: "task";
    } & BPMN20__tTask) | ({
        __$$element: "transaction";
    } & BPMN20__tTransaction) | ({
        __$$element: "userTask";
    } & BPMN20__tUserTask))[];
    "artifact"?: (({
        __$$element: "association";
    } & BPMN20__tAssociation) | ({
        __$$element: "group";
    } & BPMN20__tGroup) | ({
        __$$element: "textAnnotation";
    } & BPMN20__tTextAnnotation))[];
    "@_isForCompensation"?: boolean;
    "@_startQuantity"?: number;
    "@_completionQuantity"?: number;
    "@_default"?: string;
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "property"?: BPMN20__tProperty[];
    "dataInputAssociation"?: BPMN20__tDataInputAssociation[];
    "dataOutputAssociation"?: BPMN20__tDataOutputAssociation[];
    "resourceRole"?: (({
        __$$element: "humanPerformer";
    } & BPMN20__tHumanPerformer) | ({
        __$$element: "potentialOwner";
    } & BPMN20__tPotentialOwner))[];
    "loopCharacteristics"?: (({
        __$$element: "multiInstanceLoopCharacteristics";
    } & BPMN20__tMultiInstanceLoopCharacteristics) | ({
        __$$element: "standardLoopCharacteristics";
    } & BPMN20__tStandardLoopCharacteristics));
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export interface BPMN20__tUserTask {
    __?: undefined;
    "@_implementation"?: BPMN20__tImplementation;
    "rendering"?: BPMN20__tRendering[];
    "@_isForCompensation"?: boolean;
    "@_startQuantity"?: number;
    "@_completionQuantity"?: number;
    "@_default"?: string;
    "ioSpecification"?: BPMN20__tInputOutputSpecification;
    "property"?: BPMN20__tProperty[];
    "dataInputAssociation"?: BPMN20__tDataInputAssociation[];
    "dataOutputAssociation"?: BPMN20__tDataOutputAssociation[];
    "resourceRole"?: (({
        __$$element: "humanPerformer";
    } & BPMN20__tHumanPerformer) | ({
        __$$element: "potentialOwner";
    } & BPMN20__tPotentialOwner))[];
    "loopCharacteristics"?: (({
        __$$element: "multiInstanceLoopCharacteristics";
    } & BPMN20__tMultiInstanceLoopCharacteristics) | ({
        __$$element: "standardLoopCharacteristics";
    } & BPMN20__tStandardLoopCharacteristics));
    "incoming"?: string[];
    "outgoing"?: string[];
    "@_name"?: string;
    "auditing"?: BPMN20__tAuditing;
    "monitoring"?: BPMN20__tMonitoring;
    "categoryValueRef"?: string[];
    "@_id"?: string;
    "documentation"?: BPMN20__tDocumentation[];
    "extensionElements"?: BPMN20__tExtensionElements;
}
export declare type BPMNDI__BPMNDiagram = {
    "bpmndi:BPMNPlane": BPMNDI__BPMNPlane;
    "bpmndi:BPMNLabelStyle"?: BPMNDI__BPMNLabelStyle[];
    "@_name"?: string;
    "@_documentation"?: string;
    "@_resolution"?: number;
    "@_id"?: string;
};
export interface BPMNDI__BPMNPlane {
    __?: undefined;
    "@_bpmnElement"?: string;
    "di:DiagramElement"?: (({
        __$$element: "bpmndi:BPMNShape";
    } & BPMNDI__BPMNShape) | ({
        __$$element: "bpmndi:BPMNEdge";
    } & BPMNDI__BPMNEdge))[];
    "@_id"?: string;
    "di:extension"?: BPMNDI__BPMNPlane__extension;
}
export interface BPMNDI__BPMNPlane__extension {
    __?: undefined;
}
export interface BPMNDI__BPMNEdge {
    __?: undefined;
    "@_bpmnElement"?: string;
    "@_sourceElement"?: string;
    "@_targetElement"?: string;
    "@_messageVisibleKind"?: BPMNDI__MessageVisibleKind;
    "bpmndi:BPMNLabel"?: BPMNDI__BPMNLabel;
    "di:waypoint": DC__Point[];
    "@_id"?: string;
    "di:extension"?: BPMNDI__BPMNEdge__extension;
}
export interface BPMNDI__BPMNEdge__extension {
    __?: undefined;
}
export interface BPMNDI__BPMNShape {
    __?: undefined;
    "@_bpmnElement"?: string;
    "@_isHorizontal"?: boolean;
    "@_isExpanded"?: boolean;
    "@_isMarkerVisible"?: boolean;
    "@_isMessageVisible"?: boolean;
    "@_participantBandKind"?: BPMNDI__ParticipantBandKind;
    "@_choreographyActivityShape"?: string;
    "bpmndi:BPMNLabel"?: BPMNDI__BPMNLabel;
    "dc:Bounds": DC__Bounds;
    "@_id"?: string;
    "di:extension"?: BPMNDI__BPMNShape__extension;
}
export interface BPMNDI__BPMNShape__extension {
    __?: undefined;
}
export interface BPMNDI__BPMNLabel {
    __?: undefined;
    "@_labelStyle"?: string;
    "dc:Bounds"?: DC__Bounds;
    "@_id"?: string;
    "di:extension"?: BPMNDI__BPMNLabel__extension;
}
export interface BPMNDI__BPMNLabel__extension {
    __?: undefined;
}
export declare type BPMNDI__BPMNLabelStyle = {
    "dc:Font": DC__Font;
    "@_id"?: string;
};
export declare type DC__Font = {
    "@_name"?: string;
    "@_size"?: number;
    "@_isBold"?: boolean;
    "@_isItalic"?: boolean;
    "@_isUnderline"?: boolean;
    "@_isStrikeThrough"?: boolean;
};
export declare type DC__Point = {
    "@_x": number;
    "@_y": number;
};
export declare type DC__Bounds = {
    "@_x": number;
    "@_y": number;
    "@_width": number;
    "@_height": number;
};
export interface DI__DiagramElement {
    __?: undefined;
    "@_id"?: string;
    "di:extension"?: DI__DiagramElement__extension;
}
export interface DI__DiagramElement__extension {
    __?: undefined;
}
export declare type DI__Diagram = {
    "@_name"?: string;
    "@_documentation"?: string;
    "@_resolution"?: number;
    "@_id"?: string;
};
export interface DI__Node {
    __?: undefined;
    "@_id"?: string;
    "di:extension"?: DI__Node__extension;
}
export interface DI__Node__extension {
    __?: undefined;
}
export interface DI__Edge {
    __?: undefined;
    "di:waypoint": DC__Point[];
    "@_id"?: string;
    "di:extension"?: DI__Edge__extension;
}
export interface DI__Edge__extension {
    __?: undefined;
}
export interface DI__LabeledEdge {
    __?: undefined;
    "di:waypoint": DC__Point[];
    "@_id"?: string;
    "di:extension"?: DI__LabeledEdge__extension;
}
export interface DI__LabeledEdge__extension {
    __?: undefined;
}
export interface DI__Shape {
    __?: undefined;
    "dc:Bounds": DC__Bounds;
    "@_id"?: string;
    "di:extension"?: DI__Shape__extension;
}
export interface DI__Shape__extension {
    __?: undefined;
}
export interface DI__LabeledShape {
    __?: undefined;
    "dc:Bounds": DC__Bounds;
    "@_id"?: string;
    "di:extension"?: DI__LabeledShape__extension;
}
export interface DI__LabeledShape__extension {
    __?: undefined;
}
export interface DI__Label {
    __?: undefined;
    "dc:Bounds"?: DC__Bounds;
    "@_id"?: string;
    "di:extension"?: DI__Label__extension;
}
export interface DI__Label__extension {
    __?: undefined;
}
export interface DI__Plane {
    __?: undefined;
    "di:DiagramElement"?: DI__DiagramElement[];
    "@_id"?: string;
    "di:extension"?: DI__Plane__extension;
}
export interface DI__Plane__extension {
    __?: undefined;
}
export declare type DI__Style = {
    "@_id"?: string;
};
//# sourceMappingURL=types.d.ts.map